Skip to main content
GET
List Voices

Authorizations

X-API-Key
string
header
required

Headers

Cartesia-Version
enum<string>
required

API version header.

Available options:
2024-11-13
Example:

"2024-11-13"

Query Parameters

limit
integer | null

The number of Voices to return per page, ranging between 1 and 100.

starting_after
string | null

A cursor to use in pagination. starting_after is a Voice ID that defines your place in the list. For example, if you make a /voices request and receive 100 objects, ending with voice_abc123, your subsequent call can include starting_after=voice_abc123 to fetch the next page of the list.

ending_before
string | null

A cursor to use in pagination. ending_before is a Voice ID that defines your place in the list. For example, if you make a /voices request and receive 100 objects, starting with voice_abc123, your subsequent call can include ending_before=voice_abc123 to fetch the previous page of the list.

is_owner
boolean | null

Whether to only return voices owned your organization.

gender
enum<string> | null

The gender presentation of the voices to return.

Available options:
masculine,
feminine,
gender_neutral
expand[]
enum<string>[] | null

Additional fields to include in the response.

Available options:
preview_file_url

Response

200 - application/json
data
Voice · object[]
required

The paginated list of voices.

has_more
boolean
required

Whether there are more voices to fetch.

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page of voices.